View Javadoc

    1   /* Generated By:JJTree: Do not edit this line. ASTJspDirectiveAttribute.java */
    2
    3   package net.sourceforge.pmd.lang.jsp.ast;
    4
    5   public class ASTJspDirectiveAttribute extends AbstractJspNode {
    6
    7       /* BEGIN CUSTOM CODE */
    8       private String name;
    9       private String value;
    10
    11      /**
    12       * @return Returns the name.
    13       */
    14      public String getName() {
    15          return name;
    16      }
    17
    18      /**
    19       * @param name The name to set.
    20       */
    21      public void setName(String name) {
    22          this.name = name;
    23      }
    24
    25      /**
    26       * @return Returns the value.
    27       */
    28      public String getValue() {
    29          return value;
    30      }
    31
    32      /**
    33       * @param value The value to set.
    34       */
    35      public void setValue(String value) {
    36          this.value = value;
    37      }
    38  /* END CUSTOM CODE */
    39
    40      public ASTJspDirectiveAttribute(int id) {
    41          super(id);
    42      }
    43
    44      public ASTJspDirectiveAttribute(JspParser p, int id) {
    45          super(p, id);
    46      }
    47
    48
    49      /**
    50       * Accept the visitor. *
    51       */
    52      public Object jjtAccept(JspParserVisitor visitor, Object data) {
    53          return visitor.visit(this, data);
    54      }
    55  }